Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.control
Class ConstructedClassWithPackage

we use ConstructedClassWithPackage to limit the resolving the compiler does when combining package names and class names. The idea that if we use a package, then we do not want to replace the '.' with a '$' for the package part, only for the class name part. There is also the case of a imported class, so this logic can't be done in these cases...

Field Summary
`String` | `className`
`String` | `prefix`

Constructor Summary
`ConstructedClassWithPackage(String pkg, String name)`

Method Summary
`String` | `getName()`
`boolean` | `hasPackageName()`
`String` | `setName(String name)`

Constructor Detail

### ConstructedClassWithPackage

    public ConstructedClassWithPackage(String pkg, String name)

Method Detail

### getName

    public String getName()

### hasPackageName

    public boolean hasPackageName()

### setName

    public String setName(String name)